Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 249122 - Review Request: cups-appletalk - Appletalk printers via CUPS
Summary: Review Request: cups-appletalk - Appletalk printers via CUPS
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-07-21 01:08 UTC by Chris Mohler
Modified: 2008-01-27 05:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-27 05:31:20 UTC


Attachments (Terms of Use)

Description Chris Mohler 2007-07-21 01:08:15 UTC
Spec URL: http://cr33dog.fedorapeople.org/packages/cups-appletalk.spec
SRPM URL: http://cr33dog.fedorapeople.org/packages/cups-appletalk-0.1-1.fc7.src.rpm
Description: This package adds the pap backend to cups, providing the ability to print to Appletalk printers

Comment 1 Jason Tibbitts 2007-11-08 02:25:26 UTC
I suspect mention of appletalk has scared off reviewers, and I haven't hardware
to test this against in over a decade, but it's a trivial package (one shell
script!) so let's take a look.

"Builds" OK on rawhide.

rpmlint says:

  cups-appletalk.noarch: W: invalid-license GPL
More specificity is needed.  The source doesn't include any license statement
but the README file says "gpl v2" so it looks like you should use "GPLv2" as the
License: tag.  However, see below.

  cups-appletalk.noarch: E: only-non-binary-in-usr-lib
Well, you have to put it where cups stores its backends, so this is OK.

Where does the tarball come from?  The URL just seems to point to a copy of the
shell script; is there no actual upstream site?  And what's at the URL seems to
be a newer version, which actually has a license statement that specifies
GPLv2+.  Not sure what's up there, or which to believe.

Comment 2 Jason Tibbitts 2008-01-18 07:43:15 UTC
No reply in over two months; I will close this ticket soon if there is no response.

Comment 3 Jason Tibbitts 2008-01-27 05:31:20 UTC
Still no response; closing.


Note You need to log in before you can comment on or make changes to this bug.